package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.ProposalInfo;

/**
 * 提案信息Service接口
 * 
 * @author boman
 * @date 2024-03-07
 */
public interface IProposalInfoService 
{
    /**
     * 查询提案信息
     * 
     * @param proposalId 提案信息主键
     * @return 提案信息
     */
    public ProposalInfo selectProposalInfoByProposalId(Long proposalId);

    /**
     * 查询提案信息列表
     * 
     * @param proposalInfo 提案信息
     * @return 提案信息集合
     */
    public List<ProposalInfo> selectProposalInfoList(ProposalInfo proposalInfo);

    /**
     * 新增提案信息
     * 
     * @param proposalInfo 提案信息
     * @return 结果
     */
    public int insertProposalInfo(ProposalInfo proposalInfo);

    /**
     * 修改提案信息
     * 
     * @param proposalInfo 提案信息
     * @return 结果
     */
    public int updateProposalInfo(ProposalInfo proposalInfo);

    /**
     * 批量删除提案信息
     * 
     * @param proposalIds 需要删除的提案信息主键集合
     * @return 结果
     */
    public int deleteProposalInfoByProposalIds(Long[] proposalIds);

    /**
     * 删除提案信息信息
     * 
     * @param proposalId 提案信息主键
     * @return 结果
     */
    public int deleteProposalInfoByProposalId(Long proposalId);

    AjaxResult isRecord(ProposalInfo proposalInfo);

    AjaxResult assign(ProposalInfo proposalInfo);

    AjaxResult idea(ProposalInfo proposalInfo);

    AjaxResult keyPoint(ProposalInfo proposalInfo);

    AjaxResult outstanding(ProposalInfo proposalInfo);

    List<ProposalInfo> jointlyList(ProposalInfo proposalInfo);

    AjaxResult zxIdea(ProposalInfo proposalInfo);

    AjaxResult assignsh(ProposalInfo proposalInfo);

    List<ProposalInfo> unitList(ProposalInfo proposalInfo);

    /**
     * 列表页统计
     */
    AjaxResult statistics(ProposalInfo proposalInfo);
}
